Bug 1835849 (CVE-2020-2752) - CVE-2020-2752 mysql: C API unspecified vulnerability (CPU Apr 2020)
Summary: CVE-2020-2752 mysql: C API unspecified vulnerability (CPU Apr 2020)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2752
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1768195 1768196 1830106 1830107 1830108 1830109 1830110 1830111 1830113 1830114 1830118 1830119 1830120 1840649 1840650 1874036 1874037 1874038 1880323 1880325 1894120 1899031 1899038 1899039 1899040 1899044 1899045 1899046 1899047
Blocks: 1830097
TreeView+ depends on / blocked
 
Reported: 2020-05-14 15:36 UTC by Tomas Hoger
Modified: 2021-02-16 20:03 UTC (History)
20 users (show)

Fixed In Version: mysql 5.6.48, mysql 5.7.28, mysql 8.0.18, mariadb-connector-c 3.1.8, mariadb 5.5.68, mariadb 10.4.13, mariadb 10.3.23, mariadb 10.2.32, mariadb 10.1.45
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-19 15:19:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3523 0 None None None 2020-08-19 19:02:54 UTC
Red Hat Product Errata RHBA-2020:3777 0 None None None 2020-09-17 09:31:21 UTC
Red Hat Product Errata RHBA-2020:5318 0 None None None 2020-12-02 11:08:02 UTC
Red Hat Product Errata RHBA-2021:0025 0 None None None 2021-01-05 14:20:49 UTC
Red Hat Product Errata RHSA-2020:3518 0 None None None 2020-08-19 14:10:28 UTC
Red Hat Product Errata RHSA-2020:3732 0 None None None 2020-09-14 12:58:35 UTC
Red Hat Product Errata RHSA-2020:3755 0 None None None 2020-09-15 16:21:00 UTC
Red Hat Product Errata RHSA-2020:3757 0 None None None 2020-09-15 18:29:53 UTC
Red Hat Product Errata RHSA-2020:4026 0 None None None 2020-09-29 20:41:09 UTC
Red Hat Product Errata RHSA-2020:4174 0 None None None 2020-10-05 15:15:53 UTC
Red Hat Product Errata RHSA-2020:5246 0 None None None 2020-11-30 13:44:57 UTC
Red Hat Product Errata RHSA-2020:5500 0 None None None 2020-12-15 17:10:22 UTC
Red Hat Product Errata RHSA-2020:5503 0 None None None 2020-12-15 17:11:05 UTC
Red Hat Product Errata RHSA-2020:5654 0 None None None 2020-12-22 09:01:45 UTC
Red Hat Product Errata RHSA-2020:5655 0 None None None 2020-12-22 09:07:19 UTC
Red Hat Product Errata RHSA-2020:5660 0 None None None 2020-12-22 09:15:45 UTC
Red Hat Product Errata RHSA-2020:5662 0 None None None 2020-12-22 09:27:53 UTC
Red Hat Product Errata RHSA-2020:5663 0 None None None 2020-12-22 09:24:39 UTC
Red Hat Product Errata RHSA-2020:5665 0 None None None 2020-12-22 09:26:00 UTC

Description Tomas Hoger 2020-05-14 15:36:12 UTC
Vulnerability in the MySQL Client product of Oracle MySQL (component: C API). Supported versions that are affected are 5.6.47 and prior, 5.7.27 and prior and 8.0.17 and prior. Difficult to exploit vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Client. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Client.

External References:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixMSQL

Comment 1 Tomas Hoger 2020-05-14 20:38:30 UTC
According to upstream advisory, this issue was fixed in MySQL versions 5.7.28 and 8.0.18, which were released at the time of Oct 2019 CPU.  Only 5.6 branch was fixed at the time of Apr 2020 CPU in version 5.6.48.

Comment 5 Tomas Hoger 2020-05-27 12:02:02 UTC
Created mariadb-connector-c tracking bugs for this issue:

Affects: fedora-all [bug 1840649]

Comment 7 errata-xmlrpc 2020-08-19 14:10:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 8 Product Security DevOps Team 2020-08-19 15:19:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2752

Comment 13 errata-xmlrpc 2020-09-14 12:58:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 15 errata-xmlrpc 2020-09-15 16:20:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 17 errata-xmlrpc 2020-09-15 18:29:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 20 errata-xmlrpc 2020-09-29 20:41:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4026 https://access.redhat.com/errata/RHSA-2020:4026

Comment 24 errata-xmlrpc 2020-10-05 15:15:51 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 25 errata-xmlrpc 2020-11-30 13:44:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 26 errata-xmlrpc 2020-12-15 17:10:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 27 errata-xmlrpc 2020-12-15 17:11:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5503 https://access.redhat.com/errata/RHSA-2020:5503

Comment 28 errata-xmlrpc 2020-12-22 09:01:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 29 errata-xmlrpc 2020-12-22 09:07:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5655 https://access.redhat.com/errata/RHSA-2020:5655

Comment 30 errata-xmlrpc 2020-12-22 09:15:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5660 https://access.redhat.com/errata/RHSA-2020:5660

Comment 31 errata-xmlrpc 2020-12-22 09:24:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 32 errata-xmlrpc 2020-12-22 09:25:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665

Comment 33 errata-xmlrpc 2020-12-22 09:28:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5662 https://access.redhat.com/errata/RHSA-2020:5662


Note You need to log in before you can comment on or make changes to this bug.